<html>
<head>
    <link rel='stylesheet' href='jAlert.css'>
	<script src='../vendor/jquery-1.11.3.min.js'></script>
	<script src='jAlert.js'></script>
	<script src='jAlert-functions.js'></script>
    <style>
        html,body
        {
            margin: 0px;
            padding: 0px;
            position: relative;
        }
        body > div
        {
            padding: 20px;
        }

        .btn
        {
            font-family: Arial;
            padding: 5px 10px;
            background: #333;
            color: white;
            margin: 5px;
            font-size: 12px;
            line-height: 12px;
            text-decoration: none;
            display: inline-block;
        }

        .btn:hover
        {
            background: #666;
        }
    </style>
</head>
<body>
    <div>
        <a href="#" class="btn" data-jAlert data-title="Standard" data-content="BORRRRRING">Standard Alert</a>
        <a href="#" class="btn" data-jAlert data-title="From DIV" data-content="#fromDiv">Pulls Content From DIV</a>
        <div id="fromDiv" style="display: none;">
            What is Lorem Ipsum?
            Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.

            Why do we use it?
            It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem ipsum' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose (injected humour and the like).


            Where does it come from?
            Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.

            The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.

            Where can I get some?
            There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.
        </div>
        <a href="#" class="btn" data-jAlert data-title="Show me the money" data-size="auto" data-content="I stretch to fit the content with a max of 100% and word-wrap: break-word;">Auto Sized</a>
        <a href="#" class="btn" data-jAlert data-title="Small" data-size="xsm" data-content="I'm Tiny">Small (abbrev)</a>
        <a href="#" class="btn" data-jAlert data-title="Small" data-size="xsmall" data-content="I'm Tiny">Small (full)</a>
        <a href="#" class="btn" data-jAlert data-title="Blue" data-theme="blue" data-content="I'm so sad.">Blue</a>
        <a href="#" class="btn" data-jAlert data-title="Blue" data-theme="dark_blue" data-content="I'm so so sad.">Dark Blue</a>
        <a href="#" class="btn" data-jAlert data-title="White Backgroundy" data-content="Whitey" data-backgroundColor="white">White background</a>
        <a href="#" class="btn" data-jAlert data-title="Blurry White Backgroundy" data-content="Blurry Whitey" data-backgroundColor="white" data-blurBackground="true">Blurry White background</a>
        <a href="#" class="btn" data-jAlert data-title="Blur Background Elements" data-content="Blurry" data-blurBackground="true">Blur Background Elements</a>
        <a href="#" class="btn" data-jAlert data-image="https://cdn.colorlib.com/wp/wp-content/uploads/sites/2/jquery.jpg">Image</a>
        <a href="#" class="btn" data-jAlert data-image="https://cdn.colorlib.com/wp/wp-content/uploads/sites/2/jquery.jpg">Picture</a>
        <a href="#" class="btn" data-jAlert data-iframe="http://flwebsites.biz/" data-iframeHeight="300px">iFrame w Set Height</a>
        <a href="#" class="btn" data-jAlert data-iframe="http://flwebsites.biz/">iFrame No Height Defined</a>
        <a href="#" class="btn" data-jAlert data-iframe="http://flwebsites.biz/" data-noPadContent="true">iFrame No Padding on Content</a>
        <a href="#" class="btn" data-jAlert data-video="https://www.youtube.com/embed/rJBhkkzNDkQ">Youtube Video (embed URL)</a>
        <a href="#" class="btn" data-jAlert data-video="https://www.youtube.com/watch?v=rJBhkkzNDkQ">Youtube Video (straight up URL)</a>
        <a href="#" class="btn" data-jAlert data-title="Full" data-iframe="https://nomoreagent.com" data-fullscreen="true">Fullscreen iframe</a>
        <a href="#" class="btn" data-jAlert data-title="Full" data-noPadContent="true" data-iframe="https://nomoreagent.com" data-fullscreen="true">Fullscreen iframe, no pad</a>
        <a href="#" class="btn" data-jAlert data-noPadContent="true" data-iframe="https://nomoreagent.com" data-fullscreen="true">Fullscreen iframe, no title, no pad</a>
        <a href="#" class="btn" data-jAlert data-noPadContent="true" data-closeBtnRoundWhite="true" data-image="http://eoimages.gsfc.nasa.gov/images/imagerecords/79000/79765/dnb_land_ocean_ice.2012.13500x6750.jpg" data-fullscreen="true">Fullscreen, no title, no pad, white btn</a>
        <a href="#" class="btn" data-jAlert data-closeOnClick="true" data-title="Click outside" data-content="Click anywhere to close">Click anywhere</a>
        <a href="#" class="btn" data-jAlert data-closeOnEsc="true" data-title="Click ESC" data-content="Click ESC to close">Click ESC key</a>
        <a href="#" class="btn" data-jAlert data-closeBtn="false" data-title="No Btn" data-content="No top-right button (hit ESC to close)">Hidden Close Button</a>
        <a href="#" class="btn" data-jAlert data-closeBtnAlt="true" data-title="Alt Btn" data-content="Alternative close button">Alt Close Button</a>
        <a href="#" class="btn" data-jAlert data-closeBtnRound="false" data-title="Old Btn" data-content="Old close button">Old Close Button (disable closeBtnRound)</a>
        <a href="#" class="btn" data-jAlert data-title="Cool!" data-showAnimation="bounceIn" data-content="bounceIn">Different showAnimation</a>
        <a href="#" class="btn" data-jAlert data-title="Cool!" data-hideAnimation="bounceOut" data-content="bounceOut">Different hideAnimation</a>
        <a href="#" class="btn onOpen">On Open (popup alert)</a>
        <a href="#" class="btn onClose">On Close (popup alert)</a>
        <a href="javascript:alert('hi')" class="btn">alert()</a>
        <a href="javascript:successAlert('hi')" class="btn">successAlert()</a>
        <a href="javascript:errorAlert('hi')" class="btn">errorAlert()</a>
        <a href="javascript:infoAlert('hi')" class="btn">infoAlert()</a>
        <a href="#" class="openClose btn">Open then close after 2 seconds</a>
        <a href="#" class="getTopClose btn">$.jAlert('current').closeAlert() after 2 seconds</a>
        <a href="#" class="buttonsWithCallbacks btn">buttons with callbacks</a>
    </div>
    <script>
		$(function(){
            //for the data-jAlerts
            $.jAlert('attach');

            $.alertOnClick('.onOpen', {
                'title':'On Open',
                'content':'Do it!',
                'onOpen': function(){
                    alert('Hi!');
                }
            });

            $.alertOnClick('.onClose', {
                'title':'On Close',
                'content':'Close to show popup',
                'onClose': function(){
                    alert('Hi!');
                }
            });

            $.alertOnClick('.openClose', {
               'title':'Gonna close',
                'content':'This will close after 2 seconds',
                'onOpen': function(alert){
                    window.setTimeout(function(){
                        alert.closeAlert();
                    }, 2000);
                }
            });

            $.alertOnClick('.getTopClose', {
                'title':'Gonna close',
                'content':'This will close after 2 seconds',
                'onOpen': function(alert){
                    window.setTimeout(function(){
                        $.jAlert('current').closeAlert();
                    }, 2000);
                }
            });

            $.alertOnClick('.buttonsWithCallbacks', {
                'title':'DO IT',
                'content':'Click \'em',
                'btns': [
                    {'text':'Console Hi', 'closeAlert':false, 'onClick': function(){console.log('hi'); }},
                    {'text':'Alert Hi', 'closeAlert':false, 'onClick': function(){alert('hi'); }}
                ]
            });
		});
	</script>
</body>
</html>